﻿<UserControl x:Class="CASH.Views.UserCollectionView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxwui="http://schemas.devexpress.com/winfx/2008/xaml/windowsui"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:CASH.ViewModels"
        xmlns:view="clr-namespace:CASH.Views"
        xmlns:localization="clr-namespace:CASH.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:UserCollectionViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/CollectionViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource CollectionView.RootContainer}">
        <dxwui:AppBar Style="{StaticResource CollectionView.AppBar}" DockPanel.Dock="Bottom">
            <dxwui:AppBarButton Style="{StaticResource CollectionView.Command.New}" />
            <dxwui:AppBarButton Style="{StaticResource CollectionView.Command.Edit}" />
            <dxwui:AppBarButton Style="{StaticResource CollectionView.Command.Delete}" />
            <dxwui:AppBarButton Style="{StaticResource CollectionView.Command.Refresh}" />
        </dxwui:AppBar>
        <dxg:GridControl x:Name="gridControl" Style="{StaticResource CollectionView.GridControl.Editable}">
            <dxg:GridControl.View>
                <dxg:TableView Style="{StaticResource CollectionView.TableView}" AutoWidth="True">
                    <dxmvvm:Interaction.Behaviors>
                        <dxrudex:GridReportManagerService x:Name="UserCollectionViewReportService" />
                    </dxmvvm:Interaction.Behaviors>
                </dxg:TableView>
            </dxg:GridControl.View>
            <dxg:GridControl.Columns>
                <dxg:GridColumn IsSmart="True" FieldName="UserID" Header="الرّقم"/>
                <dxg:GridColumn IsSmart="True" FieldName="Username" Header="اسم المستخدم"/>
                <dxg:GridColumn IsSmart="True" FieldName="IsAdmin" Header="مستخدم عامّ ؟"/>
            </dxg:GridControl.Columns>
            <dxg:GridControl.TotalSummary>
                <dxg:GridSummaryItem SummaryType="Count" Alignment="Right" />
            </dxg:GridControl.TotalSummary>
            <dxg:GridControl.GroupSummary>
                <dxg:GridSummaryItem SummaryType="Count" />
            </dxg:GridControl.GroupSummary>
        </dxg:GridControl>
    </DockPanel>
</UserControl>